Evaluation Rules
Get an evaluation rule
Retrieves the specified evaluation rule and its configuration.
查詢參數
api-version
string
必要
The API version to use for this operation.
路徑參數
id
string
必要
Unique identifier for the evaluation rule.
回覆
The request has succeeded.
主體
id
string
必要
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
必要
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
必要
evalId
string
必要
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
必要
templateId
string
必要
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
必要
Filter by agent name.
eventType
string | enum
必要
Type of the evaluation rule event.
enum
enabled
boolean
必要
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
必要
System metadata for the evaluation rule.
Request
GET /evaluationrules/{id} HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json